import { AlertService } from './../../core/alert.service';
import { TechlifyUpdateService } from './../techlify-update.service';
import { UntypedFormBuilder } from '@angular/forms';
import { UntypedFormGroup } from '@angular/forms';
import { MatDialog } from '@angular/material/dialog';
import { OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TechlifyUpdateHistoryComponent implements OnInit {
    private dialog;
    private techlifyUpdateService;
    private fb;
    private alertService;
    techlifyUpdates: any[];
    displayedColumns: string[];
    page: number;
    lastPage: number;
    perPage: number;
    isWorking: boolean;
    filterFormGroup: UntypedFormGroup;
    constructor(dialog: MatDialog, techlifyUpdateService: TechlifyUpdateService, fb: UntypedFormBuilder, alertService: AlertService);
    ngOnInit(): void;
    listenChanges(): void;
    ngOnDestroy(): void;
    loadData(): Promise<void>;
    reload(): void;
    onScroll(): void;
    resetFieldValue(field: string): void;
    sortColumn(event: any): void;
    assignFilter(column: any, direction: any): void;
    openUpdateView(techlifyUpdate: any): void;
    updateCurrentUserUpdates(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TechlifyUpdateHistoryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TechlifyUpdateHistoryComponent, "app-techlify-update-history", never, {}, {}, never, never, false, never>;
}
